#!/bin/sh
# =============================================================================
# Filename      :  debug_mdclient.sh
# Author        :  USPS 
# Date          :  2009-04-22
# Description   :  Run MDR Client in debug
# =============================================================================

# 512 megabytes (default)
MEMALLOC="-Xms64m -Xmx512m"

# 768 megabytes
# use this setting only if you have at least 1.5 gigabytes of RAM
# MEMALLOC="-Xms512m -Xmx768m"

# 1 gigabyte
# use this setting only if you have at least 2G of RAM
# MEMALLOC="-Xms512m -Xmx1024m" 

# 1.5 gigabytes
# use this setting only if you have at least 2.5G of RAM
# MEMALLOC="-Xms512m -Xmx1536m"


DIRNAME=`dirname $0`
cd $DIRNAME
BASEDIR=`pwd`
#JAVA_HOME=$BASEDIR/ jre1.8.0_232
PATH=$JAVA_HOME/bin:$PATH

umask 022

LIBDIR=$BASEDIR/lib
CP=$BASEDIR/config

LD_LIBRARY_PATH=$LIBDIR/sunos/sparc:$LD_LIBRARY_PATH

for FILE in $LIBDIR/*.jar
do
	CP=$CP:$FILE
done
CLASSPATH=$CP
echo CLASSPATH $CLASSPATH

$JAVA_HOME/bin/java $MEMALLOC -client -classpath $CLASSPATH -DshowSystemProperties=true -Dlog4j2.formatMsgNoLookups=true -DlaunchScript=$0 gov.usps.mdr.client.MDRClientApp > mdrdebug.out 2>&1

exit 0

## END OF FILE 
